Subject: Re: [PATCH] persistent-https: add go.mod to fix compile

From: Junio C Hamano <[email-masked]>
Date: Tue, 30 Mar 2021 15:57:56 -0700

Eric Sunshine <[email-masked]> writes:

> On Tue, Mar 30, 2021 at 6:07 PM Junio C Hamano <[email-masked]> wrote:
>> In any case, explaining these things in this response is good, but
>> eventually we need to make sure that the readers of the resulting
>> commit would not have to ask the same question, without having to
>> refer to external documentation.
>
> It might also be worthwhile -- for the non-Go readers -- for the
> commit message to mention that this addition of a `go.mod` file does
> not hinder those stuck with old pre-module versions of Go (it doesn't
> help them either, but that's less significant), thus this change does
> not require them to update to a modern version of Go (i.e. we're not
> raising the minimum required version).

Thanks for spelling out the most important part of what the readers
should be able to read from the resulting commit.  I agree that
piece of information is a must.